#ifndef __ETABLET_H__
#define __ETABLET_H__

/* PAGE_SHIFT determines the page size */
#define PAGE_SHIFT		12
#define PAGE_SIZE		(1UL << PAGE_SHIFT)
#define PAGE_MASK		(~(PAGE_SIZE-1))




#define LCD_IO_RESEVED_PA	0x8FE00000 //C7E
#define LCD_IO_RESEVED_LEN	0x00200000

#define LCD_MEM_TAG			(0x706D6265)	/*'ebmp'*/
#define LCD_MEM_TAG_OFFEST	(0x00000C00)

#define	LCD_DMA_ADDRESS_PA		(LCD_IO_RESEVED_PA)
#define	LCD_DMA_ADDRESS_LEN		PAGE_SIZE

#define LCD_FRAME_BUFFER_PA		(LCD_DMA_ADDRESS_PA + LCD_DMA_ADDRESS_LEN)
#define LCD_FRAME_BUFFER_LEN	(LCD_IO_RESEVED_LEN - PAGE_SIZE)

struct SHOWGIF_GIFINFO{
	unsigned short m_Pos_X;
	unsigned short m_Pos_Y;
	unsigned short m_Width;
	unsigned short m_Height;
	unsigned short m_BackgroundColor;	
};


#endif // __ETABLET_H__

