/** @file wlan_test.h
 * @brief This file contains related macros, enum, and struct
 * of wlan test functionalities
 * 
 * (c) Copyright  2003-2006, Marvell International Ltd.  
 *   
 * This software file (the "File") is distributed by Marvell International 
 * Ltd. under the terms of the GNU General Public License Version 2, June 1991 
 * (the "License").  You may use, redistribute and/or modify this File in 
 * accordance with the terms and conditions of the License, a copy of which 
 * is available along with the File in the gpl.txt file or by writing to 
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 
 * 02111-1307 or on the worldwide web at http://www.gnu.org/licenses/gpl.txt.
 *
 * THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE 
 * ARE EXPRESSLY DISCLAIMED.  The License provides additional details about 
 * this warranty disclaimer.
 *
 */
/****************************************************
Change log:
	11/01/05: add Doxygen format comments 
****************************************************/
#ifndef __WLAN_TEST_H
#define __WLAN_TEST_H

int wlan_subcmd_setloopback_ioctl(wlan_private *priv, struct ifreq *req);
int wlan_process_rx_loopbackcommand(wlan_private * priv);

#endif /* __WLAN_TEST_H */
